# Uses of Interface
org.jmol.g3d.G3DRenderer

Packages that use G3DRenderer
Package
Description
org.jmol.g3d
Provides a software implementation of complete 3D graphics engine for rendering molecules and associated shapes.

## Uses of G3DRenderer in org.jmol.g3d

Classes in org.jmol.g3d that implement G3DRenderer
Modifier and Type
Class
Description
`final class`
`CircleRenderer`
Implements flat circle drawing/filling routines.
`class`
`HermiteRenderer`
Implementation of hermite curves for drawing smoothed curves that pass through specified points.
`class`
`TriangleRenderer`
renders triangles
Methods in org.jmol.g3d that return G3DRenderer
Modifier and Type
Method
Description
`G3DRenderer`
CircleRenderer.`set(JmolRendererInterface g3d, GData gdata)`
`G3DRenderer`
G3DRenderer.`set(JmolRendererInterface g3d, GData gdata)`
`G3DRenderer`
HermiteRenderer.`set(JmolRendererInterface g3d, GData gdata)`
`G3DRenderer`
TriangleRenderer.`set(JmolRendererInterface g3d, GData gdata)`